Bug 69018 - RFE: add aspell-ru.
RFE: add aspell-ru.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brock Organ
http://ftp.gnu.org/gnu/aspell/dict/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-16 21:24 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-23 16:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aspell-ru.spec (1.15 KB, text/plain)
2005-06-23 15:31 EDT, Andrew Martynov
no flags Details
Corrected version (1.15 KB, text/plain)
2005-06-23 15:34 EDT, Andrew Martynov
no flags Details

  None (edit)
Description Aleksey Nogin 2002-07-16 21:24:09 EDT
Summary says it all - please consider adding Russian dictionaries for aspell.
Comment 1 Bill Nottingham 2002-07-16 23:02:55 EDT
How big is it?
Comment 2 Trond Eivind Glomsrxd 2002-07-17 10:33:47 EDT
Also, where is it?
Comment 3 Aleksey Nogin 2002-07-17 11:58:02 EDT
As to where - I always just used the one from ASPLinux -
http://rpmfind.net/linux/rpm2html/search.php?query=aspell-ru , not sure what's
the primary source for the dictionaries. And Mandrake has ispell-ru -
http://rpmfind.net/linux/rpm2html/search.php?query=ispell-ru

As far as "how big" goes - pretty big, the ASP's one is 20Mb in rpm and 30Mb
unpacked. The PLD's one is somewhat smaller. I do not know how it get to be this
big when the source RPM is less then 400Kb - may be in can be made smaller...
Comment 4 Trond Eivind Glomsrxd 2002-07-17 15:29:15 EDT
Sorry, too big.
Comment 5 Aleksey Nogin 2002-11-18 08:30:39 EST
Can it be made smaller somehow (I do not understand why the binary rpm is so
much bigger than the source one)? Can it be still included now that there is one
more CD?
Comment 6 Eido Inoue 2003-02-20 13:08:04 EST
aspell will be upgraded in the next release
Comment 7 Aleksey Nogin 2003-08-01 18:27:11 EDT
Can this be re-evaluated? The GNU version of aspell-ru is at
http://ftp.gnu.org/gnu/aspell/dict/
Comment 8 Eido Inoue 2004-02-19 12:01:14 EST
moving component to distro for consideration for addition
Comment 9 Evgeny Sizikov 2004-08-24 02:28:09 EDT
Does aspell-0.50 already works with UT-8 locale? I guess no...
Comment 10 Andrew Martynov 2005-06-23 15:30:01 EDT
Please include aspell-ru package into next Fedora release (FC5).

Please find attached aspell-ru.spec file. Dictionary files are available at
ftp://ftp.gnu.org/gnu/aspell/dict/ru/aspell-ru-0.50-2.tar.bz2

It is good idea to include aspell-ru dictionaly to next RHEL4 quarterly update
if possible.
Comment 11 Andrew Martynov 2005-06-23 15:31:53 EDT
Created attachment 115895 [details]
aspell-ru.spec

aspell-ru spec file based on aspell-bg already included into FC4.
Comment 12 Andrew Martynov 2005-06-23 15:34:36 EDT
Created attachment 115897 [details]
Corrected version

corrected mistake in description field.
Comment 13 Bill Nottingham 2005-06-23 15:36:25 EDT
Have you checked rawhide?
Comment 14 Aleksey Nogin 2005-06-23 16:18:23 EDT
Rawhide contains:

8633977 Jun  9 06:56 aspell-ru-0.99f7-1.i386.rpm

I have not tested it yet, but it's there, so closing this report.
Comment 15 Ivana Varekova 2005-06-24 02:50:24 EDT
In rawhide there is aspell-ru-0.99f7-1.i386.rpm.
Thank you for your notice. 
Ivana Varekova

Note You need to log in before you can comment on or make changes to this bug.